import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IndexData } from '../../../models/index';
export declare class TestIndexComponent implements OnInit, OnChanges {
    indexOfItems: IndexData[];
    selectedTheme: boolean;
    currentIndex: number;
    indexChanged: EventEmitter<any>;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    questionChanged(index: any): void;
    updateBookMarkStatus(bookmarkDetails: any): boolean;
}
